<?php !defined("index") ? die (header('location: index.php?getir=404')) : null; ?>
<?php 

//31.01.2020 nesne market item bilgisini sınırlayan fonksiyon
function item_bilgisi_limit(){
	global $key;
	$veri = veri($key["item_bilgisi"]);

	if(strlen($veri) > 103){
		return substr($veri, 0, 103)."...";

	}else{
		return $veri;
	}

}


function TarihCevir($zaman){
	$zaman =  strtotime($zaman);
	$zaman_farki = time() - $zaman;
	$saniye = $zaman_farki;
	$dakika = round($zaman_farki/60);
	$saat = round($zaman_farki/3600);
	$gun = round($zaman_farki/86400);
	$hafta = round($zaman_farki/604800);
	$ay = round($zaman_farki/2419200);
	$yil = round($zaman_farki/29030400);
	if( $saniye < 60 ){
		if ($saniye < 1){
			return "az önce";
		} else {
			return $saniye .' saniye önce';
		}
	} else if ( $dakika < 60 ){
		return $dakika .' dakika önce';
	} else if ( $saat < 24 ){
		return $saat." saat önce";
	} else if ( $gun < 7 ){
		return $gun .' gün önce';
	} else if ( $hafta < 4 ){
		return $hafta.' hafta önce';
	} else if ( $ay < 12 ){
		return $ay .' ay önce';
	} else {
		if($yil > 2)
			return "<code><i># Boş Veri #</i></code>";
		else
			return $yil.' yıl önce';
	}
}


//18.01.2020 formda ki gereksiz karakterleri temizleyen fonksiyon
function inputDayi($veri){
	$veri = str_replace("/s+/","",$veri);
	$veri = str_replace(" ","",$veri);
	$veri = str_replace(" ","",$veri);
	$veri = str_replace(" ","",$veri);
	$veri = str_replace("/s/g","",$veri);
	$veri = str_replace("/s+/g","",$veri);      
	$veri = trim($veri);
	$veri=addslashes($veri);
	return $veri = strip_tags($veri);
}

function inputDayi2($veri){
	$veri = str_replace("/s+/","",$veri);
	$veri = str_replace("/s/g","",$veri);
	$veri = str_replace("/s+/g","",$veri);      
	$veri = trim($veri);
	$veri=addslashes($veri);
	return $veri = strip_tags($veri);
}


//21.12.2019 oyuncu çeken fonksiyon
function oyuncuCek2($par){
	global $vtOyun;
	$oyuncuCek = $vtOyun ->prepare("SELECT name FROM player.player WHERE id=:id");
	$oyuncuCek->execute(array("id"=>$par));
	$oyuncuYazdir = $oyuncuCek->fetch(PDO::FETCH_ASSOC);

	if(!$oyuncuCek->rowCount()){
		return "OYUNCU YOK";
	}else{

		return $oyuncuYazdir["name"];
		
	}

}

//21.12.2019 oyuncu çeken fonksiyon
function oyuncuCek(){
	global $vtOyun;
	$oyuncuCek = $vtOyun ->prepare("SELECT id, name, job FROM player.player WHERE account_id=:ai");
	$oyuncuCek->execute(array("ai" => $_SESSION['id']));
	return $oyuncuYazdir = $oyuncuCek->fetchAll(PDO::FETCH_ASSOC);

}

//19.12.2019 menü aktif fonksiyonu
function aktifMenu($par)
{
	if($_GET["getir"] == $par){
		echo "id='active_menu'";
	}

}

//16.17.2019 karakter seçme sistemini çalıştıran fonksiyon
function karakterSec($ID){
	global $vtOyun;
	global $ServerADI;
	$oyuncuAzdir = $vtOyun ->prepare("SELECT account_id FROM player.player WHERE account_id =:ai");
	$oyuncuAzdir->execute(array("ai"=>$ID));

	if($oyuncuAzdir->rowCount() == 0 OR $oyuncuAzdir->rowCount() == 1){
		return "oyuncu yok veya 1 tane var";
	} else {
		return require_once("sayfalar/html/karakter-sec.php");
	}

}

//16.17.2019 karakter oluşturulmamışsa çalışacak fonksiyon
function OyuncuYoksa(){
	global $vtOyun;
	$oyuncuYoksa = $vtOyun ->prepare("SELECT * FROM player.player WHERE account_id=:ai");
	$oyuncuYoksa->execute(array("ai"=>$_SESSION["id"]));
	if(!$oyuncuYoksa->rowCount()){
		return $_SESSION["login"];
	}
}

//16.12.2019 player tablo adı seçen ve oyuncu idye göre listeleyen fonksiyon
function tablocu($par="player", $par2){
	global $vtOyun;
	$cokluDB = $vtOyun->prepare("SELECT * FROM player.$par WHERE id=:id ORDER BY id DESC");
	$cokluDB->execute(array("id"=>$_SESSION['id']));
	$bastir = $cokluDB->fetch(PDO::FETCH_ASSOC);
	return $bastir[$par2];
}

//15.12.2019 Kullanıcının ipsini çeken fonksiyon
function GetIP(){
	if(getenv("HTTP_CLIENT_IP")) {
		$ip = getenv("HTTP_CLIENT_IP");
	} elseif(getenv("HTTP_X_FORWARDED_FOR")) {
		$ip = getenv("HTTP_X_FORWARDED_FOR");
		if (strstr($ip, ',')) {
			$tmp = explode (',', $ip);
			$ip = trim($tmp[0]);
		}
	} else {
		$ip = getenv("REMOTE_ADDR");
	}
	return $ip;
}

//player tablosundaki id'ye göre işlem yapar, account_id'ye göre değil !!!!!
function tablocuID($par){

	global $vtOyun;
	$cokluDB = $vtOyun->prepare("SELECT * FROM player.player WHERE id=:id ORDER BY id DESC");
	$cokluDB->execute(array("id"=>$_SESSION['karakterSecID']));
	$bastir = $cokluDB->fetch(PDO::FETCH_ASSOC);
	return $bastir[$par];
}

//14.12.2019 sipariş geçmişini oluşturan fonksiyon
function siparisGecmisi()
{
	global $vt;
	if(urunDetayi("item_indirim") > 0){
		$abicik = indirimci(urunDetayi("item_fiyat"), urunDetayi("item_indirim"));
	} else {
		$abicik = urunDetayi("item_fiyat");
	}

	$siparisGecmisi = $vt->prepare("INSERT INTO siparis_gecmisi SET 
		siparis_item_adi=:sia,
		siparis_item_kodu=:sik,  
		siparis_tutari=:st, 
		siparis_adeti=:sa,
		siparis_odeme_turu=:sot,
		kullanici_id=:ki,
		siparis_tarihi=:sta,
		siparis_ip=:sip
		");
	return $kayit = $siparisGecmisi -> execute(array(
		"sia"=>urunDetayi("item_adi"),
		"sik"=>urunDetayi("item_kodu"),
		"st"=>$abicik,
		"sa"=>urunDetayi("item_adet"),
		"sot"=>urunDetayi("item_odeme_turu"),
		"ki"=>$_SESSION['id'],
		"sta"=>date("d/m/Y G:i:s"),
		"sip"=>GetIP()
	));
}


//13.12.2019 item satın alınma sayısını +1 arttıran fonksiyon
function sevilenUrun($par){
	global $vt;
	$sevilenUrun=$vt->prepare("UPDATE urun SET item_alinma_sayisi = item_alinma_sayisi +1 WHERE item_id=:iti");
	return $sevilenUrun ->execute(array("iti"=>$par));
}

//12.12.2019 nesne market deposu pozisyon fonksiyonu
function PozisyonBulucu()
{
	global $vtOyun;
	$oyuncu_id=$_SESSION['id'];
	$pos = $vtOyun->prepare("SELECT * FROM player.item WHERE owner_id =:oi AND window=:m ORDER BY pos DESC");
	$pos ->execute(array("oi"=>$oyuncu_id, "m"=>"MALL"));
	$bastir = $pos->fetch(PDO::FETCH_ASSOC);

	$ps = $bastir['pos'];

	if ($ps == null) {
		return 0;

	} elseif($ps <= 0){
		return $ps+1;
	} else {
		return $ps+1;
	}
}

//11.12.2019 Ürün detayı çeken fonksiyon
function urunDetayi($par){
	global $id;
	global $vt;
	$itemDetay = $vt ->prepare("SELECT * FROM urun INNER JOIN urun_kategori ON urun_kategori.kategori_id = urun.item_kategori WHERE item_id =:id");
	$itemDetay->execute(array("id"=>$id));
	$detayYazdir = $itemDetay->fetch(PDO::FETCH_ASSOC);
	return $detayYazdir[$par]; 
}
//10.12.2019  anasayfa son eklenen ürünler
function sonEklenenUrunler()
{
	global $vt;
	$urunCek = $vt ->prepare("SELECT * FROM urun INNER JOIN urun_kategori ON urun_kategori.kategori_id = urun.item_kategori ORDER BY item_id DESC");
	$urunCek ->execute();
	return $bastir = $urunCek->fetchAll(PDO::FETCH_ASSOC);
}

//10.12.2019 item fiyatını indirim fonksiyon
function indirimci($fiyat,$indirim)
{
	if($indirim>0){
		return $fiyat - ($indirim/100)*$fiyat;
	}else
	return $fiyat;
}

//09.12.2019 oyuncu bilgisi çeken fonksiyon
function OyuncuBilgisiCek($ver)
{
	global $vtOyun;
	$OyuncuCek = $vtOyun ->prepare("SELECT name AS 'oyuncuismi', job, id, account_id  FROM player.player WHERE account_id =:id");
	$OyuncuCek->execute(array('id' => $_SESSION['id']));
	$OyuncuBilgisi = $OyuncuCek ->fetch(PDO::FETCH_ASSOC);
	return $OyuncuBilgisi[$ver];
}

//09.12.2019 rakamı bayrağa çeviren fonksiyon
function bayrakCek($rakam)
{
	if ($rakam == 1) {
		echo "Kırmızı Bayrak";
	} else if($rakam == 2){
		echo "Sarı Bayrak";
	} else if($rakam == 3){
		echo "Mavi Bayrak";
	}

}

//09.12.2019 karakter bilgisi çeken fonksiyon.
function HesapDetayCek($par)
{
	global $vtOyun;
	$login = $_SESSION['login'];
	$epcek = $vtOyun->prepare("SELECT * FROM account.account WHERE login=:l");
	$epcek->execute(array('l'=>$login));
	$epyazdir = $epcek ->fetch(PDO::FETCH_ASSOC);
	return $epyazdir[$par];
}

//09.12.2019 karakter sınıfı bulan fonksiyon
function karakterTuru($cukur)
{
	switch ($cukur) {
		case "0":
		return "Erkek Savaşçı";
		break;

		case '1':
		return "Kız Ninja";
		break;

		case '2':
		return "Erkek Sura";
		break;

		case '3':
		return "Kız Şaman";
		break;

		case '4':
		return "Kız Savaşçı";
		break;

		case '5':
		return "Erkek Ninja";
		break;

		case '6':
		return "Kız Sura";
		break;

		case '7':
		return "Erkek Şaman";
		break;

		case '8':
		return "Lycan";
		break;

		case '9':
		return "Lycan";
		break;

		default:
		break;
	}
}

//09.12.2019 aktif menü fonksiyonu
function menuAktif($menuDurum)
{
	if($_GET["getir"] == $menuDurum){
		return "btn-navitem-active"; 
	}
}

// 08.12.2019 haber yazdıran fonksiyon
function haberci($durum=1)
{
	global $vt;
	$haberCek = $vt->prepare("SELECT * FROM haberler WHERE haber_durum=:hd ORDER BY haber_id DESC");
	$haberCek -> execute(array('hd'=>$durum));
	$haberYazdir = $haberCek->fetch(PDO::FETCH_ASSOC);

	if($haberYazdir){
		echo '<div class="call-to-action contrast-box">';
		echo '<img src="'.$haberYazdir['haber_resim_url'].'">';
		echo '<div class="slider_banner">';
		echo '<h3>'.$haberYazdir['haber_baslik'].'</h3>';
		echo '<p>'.$haberYazdir['haber_detay'].'</p>';
		echo '</div>';
		echo '</div>';

	} else {
		echo "<font color='white'>haber eklenmemiş.</font>";
	}
}

// 08.12.2019 slider yazdıran fonksiyon
function sliderci($durum2=1)
{
	global $vt;
	$sliderCek = $vt ->prepare("SELECT * FROM sliderler WHERE slider_durum =:dur");
	$sliderCek -> execute(array('dur'=>$durum2));
	return $yazdir = $sliderCek -> fetchAll(PDO::FETCH_ASSOC);
}

function veri($veri){
	$veri = str_replace("<strong>", "", $veri);
	$veri = str_replace("</strong>", "", $veri);
	$veri = str_replace("<i>", "", $veri);
	$veri = str_replace("</i>", "", $veri);
	$veri = str_replace("<h1>", "", $veri);
	$veri = str_replace("</h1>", "", $veri);
	$veri = str_replace("<h2>", "", $veri);
	$veri = str_replace("</h2>", "", $veri);
	$veri = str_replace("<h3>", "", $veri);
	$veri = str_replace("</h3>", "", $veri);
	$veri = str_replace("<h4>", "", $veri);
	$veri = str_replace("</h4>", "", $veri);
	$veri = str_replace("<h5>", "", $veri);
	$veri = str_replace("</h5>", "", $veri);
	$veri = str_replace("<h6>", "", $veri);
	$veri = str_replace("</h6>", "", $veri);
	$veri = str_replace("<b>", "", $veri);
	$veri = str_replace("</b>", "", $veri);
	$veri = str_replace("<font>", "", $veri);
	$veri = str_replace("</font>", "", $veri);
	$veri = str_replace("<em>", "", $veri);
	$veri = str_replace("</em>", "", $veri);
	$veri = str_replace("<abbr>", "", $veri);
	$veri = str_replace("</abbr>", "", $veri);
	$veri = str_replace("<address>", "", $veri);
	$veri = str_replace("</address>", "", $veri);
	$veri = str_replace("<mark>", "", $veri);
	$veri = str_replace("</mark>", "", $veri);
	$veri = str_replace("<pre>", "", $veri);
	$veri = str_replace("</pre>", "", $veri);
	$veri = str_replace("<q>", "", $veri);
	$veri = str_replace("</q>", "", $veri);
	$veri = str_replace("<u>", "", $veri);
	$veri = str_replace("</u>", "", $veri);
	$veri = str_replace("<hr>", "", $veri);
	$veri = str_replace("</hr>", "", $veri);
	$veri = str_replace("<head>", "", $veri);
	$veri = str_replace("</head>", "", $veri);
	$veri = str_replace("<header>", "", $veri);
	$veri = str_replace("</header>", "", $veri);
	$veri = str_replace("<html>", "", $veri);
	$veri = str_replace("</html>", "", $veri);
	$veri = str_replace("<footer>", "", $veri);
	$veri = str_replace("</footer>", "", $veri);
	$veri = str_replace("<body>", "", $veri);
	$veri = str_replace("</body>", "", $veri);
	$veri = str_replace("//", "", $veri);
	$veri = str_replace("/*", "", $veri);
	$veri = str_replace("*/", "", $veri);
	$veri = str_replace("<!--", "", $veri);
	$veri = str_replace("!-->", "", $veri);
	$veri = str_replace("<code>", "", $veri);
	$veri = str_replace("</code>", "", $veri);
	$veri = str_replace("<fieldset>", "", $veri);
	$veri = str_replace("</fieldset>", "", $veri);
	$veri = str_replace("<legend>", "", $veri);
	$veri = str_replace("</legend>", "", $veri);
	$veri = str_replace("<option>", "", $veri);
	$veri = str_replace("</option>", "", $veri);
	$veri = str_replace("<select>", "", $veri);
	$veri = str_replace("</select>", "", $veri);
	$veri = str_replace("<datalist>", "", $veri);
	$veri = str_replace("</datalist>", "", $veri);
	$veri = str_replace("<select>", "", $veri);
	$veri = str_replace("</select>", "", $veri);
	$veri = str_replace("<button>", "", $veri);
	$veri = str_replace("</button>", "", $veri);
	$veri = str_replace("<textarea>", "", $veri);
	$veri = str_replace("</textarea>", "", $veri);
	$veri = str_replace("<label>", "", $veri);
	$veri = str_replace("</label>", "", $veri);
	$veri = str_replace("<img>", "", $veri);
	$veri = str_replace("<a>", "", $veri);
	$veri = str_replace("</a>", "", $veri);
	$veri = str_replace("<link>", "", $veri);
	$veri = str_replace("</link>", "", $veri);
	return $veri;
}
require_once("sayfalar/html/uyari-mesajlari.php");
?>